Bug 462972 - tg-admin fails with an exception
tg-admin fails with an exception
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: TurboGears (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 18:20 EDT by Daniel Berrange
Modified: 2016-09-19 22:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-20 23:13:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-09-19 18:20:27 EDT
Description of problem:
tg-admin simply doesn't work at all

Version-Release number of selected component (if applicable):
TurboGears-1.0.4.4-3.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. # tg-admin
2.
3.
  
Actual results:
$ tg-admin 
Traceback (most recent call last):
  File "/usr/bin/tg-admin", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2561, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: PEAK-Rules>=0.5a1.dev-r2555

Expected results:
No exception

Additional info:
Comment 1 Luke Macken 2008-09-20 23:13:50 EDT
python-peak-rules is built for devel, and I built python-turbojson-1.2.1-2.fc10 a few days ago which should pull it in.

Note You need to log in before you can comment on or make changes to this bug.